# $Revision: 1.1 $, $Date: 2002/03/09 20:59:18 $
Summary:	Japanese input system
Summary(ja):	ܸϥƥ
Summary(pl):	System wprowadzania znakw japoskich
Name:		Canna
Version:	3.5b2
Release:	41
License:	BSD-like
Group:		Libraries
#origin, but host not found: ftp://ftp.nec.co.jp/pub/Canna/Canna35/Canna35b2.tar.gz
Source0:	ftp://ftp.tokyonet.ad.jp/pub/misc/%{name}/%{name}35/%{name}35b2.tar.gz
Source1:	%{name}.init
Source2:	%{name}-dot-canna
Patch0:		%{name}-conf.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-glibc.patch
Patch3:		%{name}-stdin.patch
Patch4:		%{name}-bcopy.patch
Patch5:		%{name}-security.patch
Patch6:		%{name}-hosts.canna-fix.patch
URL:		http://www.nec.co.jp/japanese/product/computer/soft/canna/
# note: it doesn't link with X libraries, only uses xmkmf
BuildRequires:	XFree86-devel
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
Requires:	%{name}-libs = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExcludeArch:	ia64

%description
Canna is a Japanese input system and provides a unified user interface
for inputing Japanese. It supports Nemacs(Mule), kinput2, and canuum.
All of these tools can be used by a single customization file,
romaji-to-kana conversion rules and conversion dictionaries, and input
Japanese in the same way. It converts kana to kanji based on a
client-server model and supports automatically kana-to-kanji
conversion.

%description -l ja
Canna ܸϤݤˡ줵줿桼󥿡ե󶡤
ܸϥƥǤNemacs(Mule)kinput2canuum 򥵥ݡȤ
ޤΥġ뤹٤ƤϡñΥޥե롢޻
Ѵ§ѴѤơƱܸͤϤǤޤ饤-
ХǥˤȤŤƤʤѴ༡ŪʤʴѴ򥵥ݡ
ȤƤޤ

%description -l pl
Canna to system wprowadzania znakw japoskich, dostarczajcy
jednolity interfejs uytkownika do tego celu. Obsuguje Cemacsa
(Mule), kinput2 i canuum. Wszystkie te narzdzia mog by uywane
poprzez pojedynczy plik konfiguracyjny, w ten sam sposb dla zasad
konwersji romaji do kana, sownikw konwersji i wprowadzania znakw.
Canna konwertuje kana do kanji bazujc na modelu klient-serwer,
obsuguje te automatyczn konwersj kana do kanji.

%package libs
Summary:	Runtime library for Canna
Summary(pl):	Biblioteki Canna
Group:		Libraries

%description libs
This package contains the runtime library for running programs with
Canna.

%description libs -l pl
Ten pakiet zawiera biblioteki potrzebne do uruchamiania programw
uywajcych Canna.

%package devel
Summary:	Header files for Canna
Summary(pl):	Pliki nagwkowe Canna
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}

%description devel
This package contains the header files for building programs which use
Canna.

%description devel -l ja
Υѥåˤ Canna Ѥץ򥳥ѥ뤹뤿ɬ
פʥإåեȥ饤֥ޤǤޤ

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe do budowania programw uywajcych
Canna.

%package static
Summary:	Canna static libraries
Summary(pl):	Biblioteki statyczne Canna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This package contains Canna static libraries.

%description static -l pl
Ten pakiet zawiera statyczne biblioteki Canna.

%prep
%setup -q -n %{name}35b2
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch2 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
xmkmf -a
# by some reason sglobal.h is not made automatically - workaround:
%{__make} sglobal.h -C lib/canna
%{__make} canna \
	CDEBUGFLAGS="%{rpmcflags}" CXXDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/skel}

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	MANSUFFIX=1 LIBMANSUFFIX=3

# default manuals are in Japanese; install English ones too
mv -f Canna.conf Canna.conf.orig
sed -e 's/^#define JAPANESEMAN.*//' Canna.conf.orig > Canna.conf
xmkmf -a
%{__make} install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	cannaManDir=%{_mandir} \
	MANSUFFIX=1 LIBMANSUFFIX=3

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/canna
install %{SOURCE2} $RPM_BUILD_ROOT/etc/skel/.canna

cat > $RPM_BUILD_ROOT%{_sysconfdir}/hosts.canna << EOF
unix
localhost
EOF

gzip -9nf CHANGES.jp README* WHATIS*

%clean
rm -fr $RPM_BUILD_ROOT

%pre
if [ -n "`getgid canna`" ]; then
	if [ "`getgid canna`" != "41" ]; then
		echo "Warning: group canna doesn't have gid=41. Correct this before installing Canna." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 41 -r -f canna
fi
if [ -n "`id -u canna 2>/dev/null`" ]; then
	if [ "`id -u canna`" != "41" ]; then
		echo "Warning: user canna doesn't have uid=41. Correct this before installing Canna." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 41 -r -d /var/lib/canna -s /bin/false \
		-c "Canna Service User" -g canna canna 1>&2
fi

%post
/sbin/chkconfig --add canna
if [ -f /var/lock/subsys/canna ]; then
	/etc/rc.d/init.d/canna restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/canna start\" to start Canna service."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/canna ]; then
		/etc/rc.d/init.d/canna stop 1>&2
	fi
	/sbin/chkconfig --del canna
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/userdel canna
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.gz WHATIS.gz doc
%lang(ja) %doc {CHANGES.jp,README.jp,WHATIS.jp}.gz
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/cannaserver
%attr(755,root,root) %{_sbindir}/cannakill
%attr(754,root,root) /etc/rc.d/init.d/canna
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/hosts.canna
%config(noreplace) %verify(not size mtime md5) /etc/skel/.canna
%{_mandir}/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%attr(770,root,canna) /var/log/canna
%dir /var/lib/canna
%config(noreplace) %verify(not size mtime md5) /var/lib/canna/default.canna
%config(noreplace) %verify(not size mtime md5) /var/lib/canna/engine.cf
%attr(775,root,canna) %dir /var/lib/canna/dic
%attr(664,root,canna) %config(noreplace) %verify(not size mtime md5) /var/lib/canna/dic/*.cbp
%attr(775,root,canna) %dir /var/lib/canna/dic/canna
%attr(664,root,canna) %config(noreplace) %verify(not size mtime md5) /var/lib/canna/dic/canna/*.c*
%config(noreplace) %verify(not size mtime md5) /var/lib/canna/dic/canna/dics.dir
/var/lib/canna/sample

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libRKC.so.1.0.0
%attr(755,root,root) %{_libdir}/libRKC16.so.1.0.0
%attr(755,root,root) %{_libdir}/libcanna.so.1.0.0
%attr(755,root,root) %{_libdir}/libcanna16.so.1.0.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libRKC.so
%attr(755,root,root) %{_libdir}/libRKC16.so
%attr(755,root,root) %{_libdir}/libcanna.so
%attr(755,root,root) %{_libdir}/libcanna16.so
%{_includedir}/canna
%{_mandir}/man3/*
%lang(ja) %{_mandir}/ja/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libRKC.a
%{_libdir}/libRKC16.a
%{_libdir}/libcanna.a
%{_libdir}/libcanna16.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: Canna.spec,v $
Revision 1.1  2002/03/09 20:59:18  qboosh
- spec, init script and patches based on those from Redhat, with many
  PLDifications and cleanups

